#!/usr/bin/env python
# encoding: utf-8

import sys
from subprocess import Popen, PIPE

import yaml
import json


d = yaml.safe_load(Popen(['juju','status'],stdout=PIPE).stdout)

services = d.get("services", {})
if services is None:
    sys.exit(0)

groups = {}
for service in services.items():
    if service is None:
        continue

    units = services.get(service[0], {}).get("units", {})
    if units is None:
        continue

    for unit in units.items():
        if 'public-address' in unit[1].keys():
            groups.setdefault(service[0], {"hosts" :[]})['hosts'].append(unit[1]['public-address'])

print json.dumps(groups)
